%global momorel 11

Summary:	OpenGL Utility Toolkit (GLUT)
Name:		glut
Version:	3.7
Release:	%{momorel}m
License:	GPL
Group:		System Environment/Libraries
Source0:	ftp://ftp.sgi.com/sgi/opengl/glut/%{name}-%{version}.tar.gz
NoSource:	0
Source1:	ftp://ftp.sgi.com/sgi/opengl/glut/%{name}-3.spec.ps.gz
NoSource:	1
Patch0:		%{name}-examples-paths.patch
Patch1:		%{name}-link.patch
Patch2:		glut-3.7-lib64.patch
URL:		http://www.opengl.org/
BuildPreReq:	imake, libXmu-devel
BuildPreReq:	mesa-libGLw-devel, mesa-libGL-devel, mesa-libGLU-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
A 3-D graphics library which uses the OpenGL API.

%package devel
Summary:	GLUT Development environment
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files needed for development aplications using GLUT library.

%prep
%setup -q
chmod -R u+w .
%patch0 -p1
%patch1 -p1
%if %{_lib} == "lib64"
%patch2 -p1 -b .lib64
%endif

gunzip -dc %{SOURCE1} > glut-3.spec.ps

%build
rm -f Glut.cf
cp -f linux/Glut.cf .

# csh cannot recognize LS_COLORS' variable: "su"
CURRENT_LC_COLORES=$LS_COLORS
unset LS_COLORS

./mkmkfiles.imake

LS_COLORS=$CURRENT_LC_COLORES

cd lib/glut
rm -f Makefile
cp -f ../../linux/Makefile .
make depend
make "BOOTSTRAPCFLAGS=%{optflags} -fPIC" \
	"CDEBUGFLAGS=" "CCOPTIONS=%{optflags} -fPIC" \
	"CXXDEBUGFLAGS=" "CXXOPTIONS=%{optflags} -fPIC"

#prepare to make manuals
(cd ../../man
	sed s/gle// Imakefile > Imakefile.tmp
	mv -f Imakefile.tmp Imakefile
	xmkmf
)

%install
rm -rf %{buildroot}
install -d %{buildroot}{%{_libdir},%{_mandir}/man3,%{_includedir}}

install lib/glut/libglut.so.* %{buildroot}%{_libdir}
ln -sf libglut.so.3 %{buildroot}%{_libdir}/libglut.so
/sbin/ldconfig -n %{buildroot}%{_libdir}

rm -f include/GL/tube.h
cp -rp include/* %{buildroot}%{_includedir}

(cd man; make DESTDIR=%{buildroot} MANDIR=%{_mandir}/man3 install.man)

gzip -9nf NOTICE CHANGES FAQ.glut README*

%clean
rm -rf %{buildroot}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%doc *.gz
%{_includedir}/GL/*.h
%{_includedir}/mui
%{_libdir}/lib*.so
%{_mandir}/man3/*

%changelog
* Sun Jul  4 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (3.7-11m)
- for csh bug

* Sat May 27 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (3.7-10m)
- BuildPrereq: libXmu-devel

* Sun Apr 30 2006 TABUCHi Takaaki <tab@momonga-linux.org>
- (3.7-9m)
- delete Requires:	xorg-x11-devel

* Tue Feb  1 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.7-8m)
- enable x86_64.

* Sat Nov 20 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.7-7m)
- added /sbin/ldconfig -n %%{buildroot}%%{_libdir}

* Sun Oct  3 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.7-6m)
- rebuild against gcc-c++-3.4.2

* Thu Mar  6 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.7-5m)
- fix URL

* Thu Jun  6 2002 Shingo Akagaki <dora@kondara.org>
- (3.7-4k)
- .so.*.* -> .so.*

* Thu May  9 2002 Toru Hoshina <t@Kondara.org>
- (3.7-2k)
- 1st release as standalone package.
